> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wherobots.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List tasks

> List the tasks available to the caller's organization, ordered by name.



## OpenAPI

````yaml https://api.cloud.wherobots.com/openapi.json get /tasks
openapi: 3.1.0
info:
  title: Wherobots Cloud API
  description: |-
    Wherobots Cloud API OpenAPI specification.

        These are the API docs for the Wherobots API. You can use this to test out the API and see what it does.
        The underlying OPENAPI spec can be found at /openapi.json. This can be used to generate clients for the API.

        The Authorize button below will allow you to input an access token to authenticate to our API.
        Then all of the requests on the page should work.
        
  version: 0.0.1
servers:
  - url: https://api.cloud.wherobots.com
    description: Wherobots Cloud API
security: []
paths:
  /tasks:
    get:
      tags:
        - tasks
      summary: List tasks
      description: List the tasks available to the caller's organization, ordered by name.
      operationId: listTasks
      parameters:
        - name: regions
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: >-
              Only return tasks executable in these regions. Repeat the
              parameter to pass several; a task matches if it runs in any of
              them.
            title: Regions
          description: >-
            Only return tasks executable in these regions. Repeat the parameter
            to pass several; a task matches if it runs in any of them.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Page size limit
            default: 50
            title: Limit
          description: Page size limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Page offset
            default: 0
            title: Offset
          description: Page offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LimitOffsetPage_TaskSummary_'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
      security:
        - bearerToken: []
        - wherobotsApiKey: []
components:
  schemas:
    LimitOffsetPage_TaskSummary_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/TaskSummary'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        limit:
          type: integer
          minimum: 1
          title: Limit
        offset:
          type: integer
          minimum: 0
          title: Offset
      type: object
      required:
        - items
        - total
        - limit
        - offset
      title: LimitOffsetPage[TaskSummary]
    ErrorBody:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorInfo'
          type: array
          title: Errors
          description: A list of errors that occurred
        requestId:
          type: string
          title: Requestid
          description: A unique identifier for the request that caused the error
      type: object
      required:
        - errors
        - requestId
      title: ErrorBody
    TaskSummary:
      properties:
        taskId:
          anyOf:
            - type: string
            - type: 'null'
          title: Taskid
        organizationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Organizationid
        name:
          type: string
          maxLength: 255
          minLength: 1
          pattern: ^[a-zA-Z0-9_\-\.]+$
          title: Name
        displayName:
          type: string
          maxLength: 255
          title: Displayname
        description:
          anyOf:
            - type: string
              maxLength: 4096
            - type: 'null'
          title: Description
        regions:
          items:
            type: string
          type: array
          title: Regions
      type: object
      required:
        - name
        - displayName
      title: TaskSummary
      description: |-
        A null organizationId denotes a platform-owned task.

        e.g.
        {
          "taskId": "54ku482nr2bi57",
          "organizationId": null,
          "name": "predict_mosaic_geometries_recipe",
          "displayName": "Run geometry inference recipe",
          "description": "# Run geometry inference recipe ...",
          "regions": ["aws-us-west-2"]
        }
    ErrorInfo:
      properties:
        code:
          $ref: '#/components/schemas/ErrorClass'
          description: The error code
        message:
          type: string
          title: Message
          description: A human-readable message describing the error
        details:
          type: string
          title: Details
          description: Details about the error
        path:
          type: string
          title: Path
          description: The path to the field that caused the error
        suggestion:
          type: string
          title: Suggestion
          description: Suggested action to resolve the error
          default: >-
            Contact us at support@wherobots.com to get help with resolving your
            error.
        documentation_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentation Url
          description: URL to related documentation
        field:
          anyOf:
            - type: string
            - type: 'null'
          title: Field
          description: The field that caused the error if applicable
      type: object
      required:
        - code
        - message
        - details
        - path
      title: ErrorInfo
    ErrorClass:
      type: string
      enum:
        - BAD_REQUEST_ERROR
        - CONFLICT_ERROR
        - INVALID_INPUT_ERROR
        - INTERNAL_SERVER_ERROR
        - UNAUTHORIZED_ERROR
        - INSUFFICIENT_PERMISSIONS_ERROR
        - THIRD_PARTY_PERMISSIONS_ERROR
        - NOT_FOUND_ERROR
        - INSUFFICIENT_QUOTA_ERROR
        - REQUEST_ENTITY_TOO_LARGE
        - FOREIGN_CATALOG_CONNECTION_FAILED
        - RATE_LIMIT_ERROR
        - RESOURCE_BUSY
        - TIMEOUT_ERROR
        - ACCOUNT_NOT_PROVISIONED
        - BAD_GATEWAY_ERROR
        - GATEWAY_TIMEOUT_ERROR
        - NOT_IMPLEMENTED_ERROR
        - GONE_ERROR
      title: ErrorClass
  securitySchemes:
    bearerToken:
      type: http
      scheme: bearer
    wherobotsApiKey:
      type: apiKey
      description: A Wherobots-generated API key
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.